<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/30/2008 *
 * ===================                          Last change: 09/30/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-removeip.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Anonymizes the IP number of your visitors        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Anomymiziert die IP-Nummer Ihrer Besucher        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version number
setThisExtensionVersion('0.0.1');

// Version history array (add more with , '0.1.0' and so on)
setExtensionVersionHistory(array('0.0', '0.0.1'));

switch (getExtensionMode()) {
	case 'register': // Do stuff when installation is running
		// SQL commands to run
		addConfigAddSql('removeip_anon_ip', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
		addConfigAddSql('removeip_anon_host', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
		addConfigAddSql('removeip_anon_ua', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
		addConfigAddSql('removeip_anon_ref', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
		addConfigAddSql('removeip_admin_show', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
		addConfigAddSql('removeip_guest_show', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
		addConfigAddSql('removeip_member_show', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
		addConfigAddSql('removeip_sponsor_show', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
		addConfigAddSql('anonymous_ip', "ENUM('LOCAL','ZERO','RANDOM') NOT NULL DEFAULT 'LOCAL'");
		addAdminMenuSql('setup','config_removeip','Anonymit&auml;t/Privatsph&auml;hre','Stellen Sie hier ein, ob die IP-Nummer, User-Agent und/oder Referer-Adresse anonymisiert im gesamten Script verwendet werden soll.',15);
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE `what`='config_removeip' LIMIT 1");

		// Remove filters
		unregisterFilter(__FUNCTION__, __LINE__, 'post_youhere_line', 'ADD_ANONYMITY_NOTICE', true, isExtensionDryRun());
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		break;

	case 'update': // Update an extension
		switch (getCurrentExtensionVersion()) {
			case '0.0.1': // SQL queries for v0.0.1
				// Update depends on sql_patches
				addExtensionDependency('sql_patches');

				// Add filters
				registerFilter('post_youhere_line', 'ADD_ANONYMITY_NOTICE', false, true, isExtensionDryRun());

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Filter hinzugef&uuml;gt und ist von <strong>sql_patches</strong> abh&auml;ngig.");
				break;
		} // END - switch
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		logDebugMessage(__FILE__, __LINE__, sprintf("Unknown extension mode %s in extension %s detected.", getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - switch

// [EOF]
?>
